#!/usr/bin/env python
# -*- coding: utf-8 -*-
# @Time    : 2020/4/28 0028 下午 2:26
# @Author  : hj
# @File    : talking_dao.py
# @Software: PyCharm

from db.mod_db import DataBase


class talking_Dao:
    def __init__(self, db=None):
        if db is None:
            self.dataBase = DataBase()
        else:
            self.dataBase = db
    def select_sql(self,already_product,recommend_product):
        return self.dataBase.fetch_one('select start_text,res_text,mq_text,end_text from talking where already_product="%s" and recommend_product="%s"'%(already_product,recommend_product))